Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy Arkance Systems [www.cadforum.cz]
CZ | SK | EN | DE
Přihlášení
či registrace
   právě nás čte: 4711 
RSS kanál - CAD tipy RSS tipy
RSS diskuze

Diskuze Diskuzní fórum, poradna

 

NápovědaCAD diskuze, rady, výměna zkušeností

 
CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy Arkance Systems (CAD Studio) - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Téma uzavřenoPovinné přichytávání

 Odpovědět Odpovědět archiv
Autor
johny Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 24.led.2006
Lokalita: ČR (JM)
Používám:
C3D 2022
Stav: Offline
Bodů: 1682
Přímý odkaz na tuto zprávu Téma: Povinné přichytávání
    Zasláno: 09.dub.2021 v 16:43
No jestli to oklikáváte 3dpoly po nodech a máte zapnuté jen ty, tak toto by mohlo pomoct.
Návod k použití: http://www.lee-mac.com/runlisp.html

(defun c:3dpolynode ( / *error* p r)

   (defun *error* (errmsg)
    (if (not (wcmatch errmsg "Function cancelled,quit / exit abort,console break,end"))
      (princ (strcat "\nError: " errmsg)))
    (setvar 'cmdecho 1)
    (princ))
  
  (setq p (getpoint "\nSpecify start point of polyline: "))
  (setvar 'cmdecho 0)
  (command "_.3dpoly" "_node" p)
  (while (setq r (getpoint p "\nSpecify endpoint: "))
    (if (osnap r "node")
      (progn
(command "_node" r)
(setq p r))
      (princ "\nMissed, try again.")))
  (command "")
  (*error* "end")
  )
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
Arkance Systems

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 21573
Přímý odkaz na tuto zprávu Zasláno: 08.dub.2021 v 21:57
Myslíte aby AutoCAD odmítl bod, který není určen uchopením? Vestavěná funkce na to není, ale možná by šlo naprogramovat. Napadají mne dvě cesty - buď zkontrolovat, jestli "pod" bodem existuje jiný objekt, nebo zkontrolovat zda souřadnice původně zadaného a "uchopením" modifikovaného bodu jsou identické.
Vladimír Michl (moderátor)
Arkance Systems s.r.o. - www.arkance-systems.cz
(podpora viz hd.cads.cz)
Zpět nahoru
barru Zobrazit panel
Nováček
Nováček
Avatar

Přihlášen: 05.říj.2017
Lokalita: ČR (Pha)
Používám:
AutoCAD 2016
Stav: Offline
Bodů: 2
Přímý odkaz na tuto zprávu Zasláno: 08.dub.2021 v 20:10
Dobrý den, 
je možné nějak nastavit povinné přichytávání na body, aby mi to lomový bod křivky udělalo pouze pokud se chytí na nějaký bod a ne jenom tak v prostoru?
Obkresluji řezy mračna štoly a tohle by mi usnadnilo práci.
Děkuji za odpovědi
Smile
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 13477:Hranice povrchu – nedestruktivní povinná spojnice.
Tip 10508:Jak správně vytvořit povrch z vrstevnic a k čemu slouží minimalizace rovných ploch?
Tip 10959:Jak v AutoCAD Civil 3D navrhnout jednotlivé příčné profily pro zemní úpravy?
Tip 6890:Jak v Civilu použít spline křivku jako povinnou hranu?
Tip 3973:Jak v DWG snadno vytvořit digitální model terénu (DMT)?
Tip 8448:Jak převést SOU soubor z Roadpac na FLT soubor pro Civil3D?


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,641 sekund.